### Enumeration

# Cogl TextureComponents

#### Declaration

    enum Cogl.TextureComponents

#### Description [src]

See cogl_texture_set_components().

#### Members

`COGL_TEXTURE_COMPONENTS_A`

  Only the alpha component.

  - Value: `1`
  - Available since: 16
`COGL_TEXTURE_COMPONENTS_RG`

  Red and green components. Note that this can only be used if the `COGL_FEATURE_ID_TEXTURE_RG` feature is advertised.

  - Value: `2`
  - Available since: 16
`COGL_TEXTURE_COMPONENTS_RGB`

  Red, green and blue components.

  - Value: `3`
  - Available since: 16
`COGL_TEXTURE_COMPONENTS_RGBA`

  Red, green, blue and alpha components.

  - Value: `4`
  - Available since: 16
`COGL_TEXTURE_COMPONENTS_DEPTH`

  Only a depth component.

  - Value: `5`
  - Available since: 16